## ros-rolling-rmw-dds-common 1.4.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(rmw_dds_common)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(rcpputils REQUIRED)
find_package(rcutils REQUIRED)
find_package(rmw REQUIRED)
find_package(rosidl_default_generators REQUIRED)

ament_export_dependencies(ament_cmake_core)
ament_export_dependencies(rcpputils)
ament_export_dependencies(rcutils)
ament_export_dependencies(rmw)
ament_export_dependencies(rosidl_default_runtime)

rosidl_generate_interfaces(
  ${PROJECT_NAME}
  "msg/Gid.msg"
  "msg/NodeEntitiesInfo.msg"
  "msg/ParticipantEntitiesInfo.msg"
)

add_library(${PROJECT_NAME}_library SHARED
  src/gid_utils.cpp
  src/graph_cache.cpp
  src/qos.cpp
  src/security.cpp
  src/time_utils.cpp)

set_target_properties(${PROJECT_NAME}_library
  PROPERTIES OUTPUT_NAME ${PROJECT_NAME})
ament_target_dependencies(${PROJECT_NAME}_library
  "rcpputils"
  "rcutils"
  "rmw"
  "rosidl_runtime_cpp")
add_dependencies(${PROJECT_NAME}_library
  ${PROJECT_NAME})
target_include_directories(${PROJECT_NAME}_library
  PUBLIC
  "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
  "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}/rosidl_generator_c>"
  "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}/rosidl_generator_cpp>"
  "$<INSTALL_INTERFACE:include>")

# Causes the visibility macros to use dllexport rather than dllimport,
# which is appropriate when building the dll but not consuming it.
target_compile_definitions(${PROJECT_NAME}_library
  PRIVATE "RMW_DDS_COMMON_BUILDING_LIBRARY")

install(
  TARGETS ${PROJECT_NAME}_library EXPORT ${PROJECT_NAME}_library
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

ament_export_include_directories(include)
ament_export_libraries(${PROJECT_NAME}_library)
ament_export_targets(${PROJECT_NAME}_library)

install(
  DIRECTORY include/
  DESTINATION include)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  find_package(ament_cmake_gmock REQUIRED)
  find_package(osrf_testing_tools_cpp REQUIRED)
  ament_lint_auto_find_test_dependencies()

  find_package(performance_test_fixture REQUIRED)
  # Give cppcheck hints about macro definitions coming from outside this package
  get_target_property(ament_cmake_cppcheck_ADDITIONAL_INCLUDE_DIRS performance_test_fixture::performance_test_fixture
    INTERFACE_INCLUDE_DIRECTORIES)

  ament_add_gmock(test_graph_cache test/test_graph_cache.cpp)
  if(TARGET test_graph_cache)
    target_link_libraries(test_graph_cache ${PROJECT_NAME}_library osrf_testing_tools_cpp::memory_tools)
    target_compile_definitions(test_graph_cache PUBLIC RCUTILS_ENABLE_FAULT_INJECTION)
  endif()

  ament_add_gmock(test_gid_utils test/test_gid_utils.cpp)
  if(TARGET test_gid_utils)
    target_link_libraries(test_gid_utils ${PROJECT_NAME}_library)
  endif()

  ament_add_gmock(test_qos test/test_qos.cpp)
  if(TARGET test_qos)
    target_link_libraries(test_qos ${PROJECT_NAME}_library)
  endif()

  ament_add_gmock(test_time_utils test/test_time_utils.cpp)
  if(TARGET test_time_utils)
    target_link_libraries(test_time_utils ${PROJECT_NAME}_library)
  endif()

  ament_add_gmock(test_security test/test_security.cpp)
  if(TARGET test_security)
    target_link_libraries(test_security ${PROJECT_NAME}_library)
  endif()

  add_performance_test(benchmark_graph_cache test/benchmark/benchmark_graph_cache.cpp)
  if(TARGET benchmark_graph_cache)
    target_link_libraries(benchmark_graph_cache ${PROJECT_NAME}_library)
  endif()
endif()

ament_package()

=== debian/changelog ===
ros-rolling-rmw-dds-common (1.4.1-1focal) focal; urgency=high

  * Fix include order for cpplint (#55 <https://github.com/ros2/rmw_dds_common/issues/55>)
  * Contributors: Jacob Perron

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Fri, 14 Jan 2022 08:00:00 -0000

ros-rolling-rmw-dds-common (1.4.0-1focal) focal; urgency=high

  * Fix up rmw_dds_common documentation when using rosdoc2 (#54 <https://github.com/ros2/rmw_dds_common/issues/54>)
  * Add support for Certificate Revocation List files (#52 <https://github.com/ros2/rmw_dds_common/issues/52>)
  * Silence clang warning (range-loop-construct) (#53 <https://github.com/ros2/rmw_dds_common/issues/53>)
  * Contributors: Chris Lalancette, Karsten Knese, Michel Hidalgo

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 16 Sep 2021 07:00:00 -0000

ros-rolling-rmw-dds-common (1.3.0-1focal) focal; urgency=high

  * Add a common function for security files. (#51 <https://github.com/ros2/rmw_dds_common/issues/51>)
  * Normalize rmw_time_t according to DDS spec (#48 <https://github.com/ros2/rmw_dds_common/issues/48>)
  * Contributors: Andrea Sorbini, Chris Lalancette

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 28 Jun 2021 07:00:00 -0000

ros-rolling-rmw-dds-common (1.2.1-1focal) focal; urgency=high

  * Fix one more instance of index.ros.org. (#49 <https://github.com/ros2/rmw_dds_common/issues/49>)
  * updating quality declaration links (re: ros2/docs.ros2.org#52 <https://github.com/ros2/docs.ros2.org/issues/52>) (#46 <https://github.com/ros2/rmw_dds_common/issues/46>)
  * Contributors: Chris Lalancette, shonigmann

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 06 Apr 2021 07:00:00 -0000

ros-rolling-rmw-dds-common (1.2.0-1focal) focal; urgency=high

  * Add function for checking QoS profile compatibility (#45 <https://github.com/ros2/rmw_dds_common/issues/45>)
  * Shorten some excessively long lines of CMake (#44 <https://github.com/ros2/rmw_dds_common/issues/44>)
  * Fix test_graph_cache ASAN errors (#41 <https://github.com/ros2/rmw_dds_common/issues/41>) (#42 <https://github.com/ros2/rmw_dds_common/issues/42>)
  * Contributors: Jacob Perron, Scott K Logan, y-okumura-isp

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Sun, 28 Feb 2021 08:00:00 -0000

ros-rolling-rmw-dds-common (1.1.1-1focal) focal; urgency=high

  * Update QD to QL 1 (#38 <https://github.com/ros2/rmw_dds_common/issues/38>)
  * Contributors: Stephen Brawner

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 10 Dec 2020 08:00:00 -0000

ros-rolling-rmw-dds-common (1.1.0-1focal) focal; urgency=high

  * Create a utility function to limit rmw_time_t to 32-bit values (#37 <https://github.com/ros2/rmw_dds_common/issues/37>)
  * Update maintainers (#34 <https://github.com/ros2/rmw_dds_common/issues/34>)
  * Updated performance section QD (#30 <https://github.com/ros2/rmw_dds_common/issues/30>)
  * Update Quality Declaration to QL2 (#31 <https://github.com/ros2/rmw_dds_common/issues/31>)
  * Added benchmark test to rmw_dds_common (#29 <https://github.com/ros2/rmw_dds_common/issues/29>)
  * Fix potential memory leak (#28 <https://github.com/ros2/rmw_dds_common/issues/28>)
  * Add fault injection macro unit tests (#27 <https://github.com/ros2/rmw_dds_common/issues/27>)
  * Fixed some doxygen warnings (#26 <https://github.com/ros2/rmw_dds_common/issues/26>)
  * Update Quality Declaration to QL3 (#24 <https://github.com/ros2/rmw_dds_common/issues/24>)
  * Update QD and documentation (#23 <https://github.com/ros2/rmw_dds_common/issues/23>)
  * Contributors: Alejandro Hernández Cordero, Chen Lihui, Ivan Santiago Paunovic, Michael Jeronimo, Michel Hidalgo, Stephen Brawner

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 11 Nov 2020 08:00:00 -0000

ros-rolling-rmw-dds-common (1.0.1-1focal) focal; urgency=high

  * Add Security Vulnerability Policy pointing to REP-2006 (#21 <https://github.com/ros2/rmw_dds_common/issues/21>)
  * Fix graph cache tests (#22 <https://github.com/ros2/rmw_dds_common/issues/22>)
  * Contributors: Chris Lalancette, Michel Hidalgo

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 01 Jun 2020 07:00:00 -0000

ros-rolling-rmw-dds-common (1.0.0-1focal) focal; urgency=high

  * Added Doxyfile (#19 <https://github.com/ros2/rmw_dds_common/issues/19>)
  * Improve test coverage. (#20 <https://github.com/ros2/rmw_dds_common/issues/20>)
  * Add README and QUALITY_DECLARATION for current QL level (#17 <https://github.com/ros2/rmw_dds_common/issues/17>)
  * Contributors: Alejandro Hernández Cordero, Michel Hidalgo, Stephen Brawner

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 26 May 2020 07:00:00 -0000

ros-rolling-rmw-dds-common (0.1.0-1focal) focal; urgency=high

  * Export targets in addition to include directories / libraries (#15 <https://github.com/ros2/rmw_dds_common/issues/15>)
  * Increasing code coverage (#14 <https://github.com/ros2/rmw_dds_common/issues/14>)
  * security-context -> enclave (#13 <https://github.com/ros2/rmw_dds_common/issues/13>)
  * Make rmw_dds_common use rosidl_generator_interfaces normally (#12 <https://github.com/ros2/rmw_dds_common/issues/12>)
  * Changed rosidl_generator_cpp with rosidl_runtime_cpp (#10 <https://github.com/ros2/rmw_dds_common/issues/10>)
  * Fix windows warning (#7 <https://github.com/ros2/rmw_dds_common/issues/7>)
  * First implementation (#4 <https://github.com/ros2/rmw_dds_common/issues/4>)
  * Contributors: Alejandro Hernández Cordero, Dirk Thomas, Ivan Santiago Paunovic, Mikael Arguedas

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Sat, 25 Apr 2020 07:00:00 -0000

=== debian/control ===
Source: ros-rolling-rmw-dds-common
Section: misc
Priority: optional
Maintainer: Ivan Paunovic <ivanpauno@ekumenlabs.com>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-cmake-gmock, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, ros-rolling-osrf-testing-tools-cpp, ros-rolling-performance-test-fixture, ros-rolling-rcpputils, ros-rolling-rcutils, ros-rolling-rmw, ros-rolling-rosidl-default-generators, ros-rolling-rosidl-runtime-cpp, ros-rolling-ros-workspace, ros-rolling-rosidl-typesupport-fastrtps-c, ros-rolling-rosidl-typesupport-fastrtps-cpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-rmw-dds-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-rcpputils, ros-rolling-rcutils, ros-rolling-rmw, ros-rolling-rosidl-default-runtime, ros-rolling-rosidl-runtime-cpp, ros-rolling-ros-workspace
Description: Define a common interface between DDS implementations of ROS middleware.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-rmw-dds-common//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-rmw-dds-common 2.1.0

=== debian/changelog ===
ros-rolling-rmw-dds-common (2.1.0-1jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 26 Apr 2023 16:00:00 -0000

ros-rolling-rmw-dds-common (2.0.1-1jammy) jammy; urgency=high

  * Type hash in GraphCache, user_data encoding tools (#70 <https://github.com/ros2/rmw_dds_common/issues/70>)
  * Mark benchmark _ as unused. (#71 <https://github.com/ros2/rmw_dds_common/issues/71>)
  * Contributors: Chris Lalancette, Emerson Knapp

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 10 Apr 2023 16:00:00 -0000

ros-rolling-rmw-dds-common (2.0.0-1jammy) jammy; urgency=high

  * Update rmw_dds_common to C++17. (#69 <https://github.com/ros2/rmw_dds_common/issues/69>)
  * Change Gid.msg to be 16 bytes. (#68 <https://github.com/ros2/rmw_dds_common/issues/68>)
  * Minor cleanups of test_qos. (#67 <https://github.com/ros2/rmw_dds_common/issues/67>)
  * [rolling] Update maintainers - 2022-11-07 (#65 <https://github.com/ros2/rmw_dds_common/issues/65>)
  * Contributors: Audrow Nash, Chris Lalancette

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Sun, 12 Feb 2023 16:00:00 -0000

ros-rolling-rmw-dds-common (1.7.1-1jammy) jammy; urgency=high

  * build shared lib only if BUILD_SHARED_LIBS is set (#62 <https://github.com/ros2/rmw_dds_common/issues/62>)
  * Update maintainers (#61 <https://github.com/ros2/rmw_dds_common/issues/61>)
  * Contributors: hannes09, methylDragon

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 12 Sep 2022 16:00:00 -0000

ros-rolling-rmw-dds-common (1.7.0-1jammy) jammy; urgency=high

  * Add functions for resolving 'best available' QoS policies (#60 <https://github.com/ros2/rmw_dds_common/issues/60>)
    Given a QoS profile and set of endpoints for the same topic, overwrite any policies set to
    BEST_AVAILABLE with a policy such that it matches all endpoints while maintaining a high
    level of service.
    Add testable functions for updating BEST_AVAILABLE policies,
    * qos_profile_get_best_available_for_subscription
    * qos_profile_get_best_available_for_publisher
    and add convenience functions that actual query the graph for RMW implementations to use,
    * qos_profile_get_best_available_for_topic_subscription
    * qos_profile_get_best_available_for_topic_publisher
  * Contributors: Jacob Perron

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 02 May 2022 16:00:00 -0000

ros-rolling-rmw-dds-common (1.6.0-1jammy) jammy; urgency=high

  * Depend on target generated by rosidl_typesupport_cpp (#58 <https://github.com/ros2/rmw_dds_common/issues/58>)
  * Contributors: Shane Loretz

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 30 Mar 2022 16:00:00 -0000

ros-rolling-rmw-dds-common (1.5.1-1jammy) jammy; urgency=high

  * Use rosidl_get_typesupport_target() and target_link_libraries(). (#57 <https://github.com/ros2/rmw_dds_common/issues/57>)
  * Contributors: Shane Loretz

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 24 Mar 2022 16:00:00 -0000

ros-rolling-rmw-dds-common (1.5.0-1jammy) jammy; urgency=high

  * Install headers to include/${PROJECT_NAME} (#56 <https://github.com/ros2/rmw_dds_common/issues/56>)
  * Contributors: Shane Loretz

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 28 Feb 2022 16:00:00 -0000

ros-rolling-rmw-dds-common (1.4.1-1jammy) jammy; urgency=high

  * Fix include order for cpplint (#55 <https://github.com/ros2/rmw_dds_common/issues/55>)
  * Contributors: Jacob Perron

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 13 Jan 2022 16:00:00 -0000

ros-rolling-rmw-dds-common (1.4.0-1jammy) jammy; urgency=high

  * Fix up rmw_dds_common documentation when using rosdoc2 (#54 <https://github.com/ros2/rmw_dds_common/issues/54>)
  * Add support for Certificate Revocation List files (#52 <https://github.com/ros2/rmw_dds_common/issues/52>)
  * Silence clang warning (range-loop-construct) (#53 <https://github.com/ros2/rmw_dds_common/issues/53>)
  * Contributors: Chris Lalancette, Karsten Knese, Michel Hidalgo

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 15 Sep 2021 16:00:00 -0000

ros-rolling-rmw-dds-common (1.3.0-1jammy) jammy; urgency=high

  * Add a common function for security files. (#51 <https://github.com/ros2/rmw_dds_common/issues/51>)
  * Normalize rmw_time_t according to DDS spec (#48 <https://github.com/ros2/rmw_dds_common/issues/48>)
  * Contributors: Andrea Sorbini, Chris Lalancette

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Sun, 27 Jun 2021 16:00:00 -0000

ros-rolling-rmw-dds-common (1.2.1-1jammy) jammy; urgency=high

  * Fix one more instance of index.ros.org. (#49 <https://github.com/ros2/rmw_dds_common/issues/49>)
  * updating quality declaration links (re: ros2/docs.ros2.org#52 <https://github.com/ros2/docs.ros2.org/issues/52>) (#46 <https://github.com/ros2/rmw_dds_common/issues/46>)
  * Contributors: Chris Lalancette, shonigmann

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 05 Apr 2021 16:00:00 -0000

ros-rolling-rmw-dds-common (1.2.0-1jammy) jammy; urgency=high

  * Add function for checking QoS profile compatibility (#45 <https://github.com/ros2/rmw_dds_common/issues/45>)
  * Shorten some excessively long lines of CMake (#44 <https://github.com/ros2/rmw_dds_common/issues/44>)
  * Fix test_graph_cache ASAN errors (#41 <https://github.com/ros2/rmw_dds_common/issues/41>) (#42 <https://github.com/ros2/rmw_dds_common/issues/42>)
  * Contributors: Jacob Perron, Scott K Logan, y-okumura-isp

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Sat, 27 Feb 2021 16:00:00 -0000

ros-rolling-rmw-dds-common (1.1.1-1jammy) jammy; urgency=high

  * Update QD to QL 1 (#38 <https://github.com/ros2/rmw_dds_common/issues/38>)
  * Contributors: Stephen Brawner

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 09 Dec 2020 16:00:00 -0000

ros-rolling-rmw-dds-common (1.1.0-1jammy) jammy; urgency=high

  * Create a utility function to limit rmw_time_t to 32-bit values (#37 <https://github.com/ros2/rmw_dds_common/issues/37>)
  * Update maintainers (#34 <https://github.com/ros2/rmw_dds_common/issues/34>)


=== debian/control ===
Source: ros-rolling-rmw-dds-common
Section: misc
Priority: optional
Maintainer: Ivan Paunovic <ivanpauno@ekumenlabs.com>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-cmake-gmock <!nocheck>, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-osrf-testing-tools-cpp <!nocheck>, ros-rolling-performance-test-fixture <!nocheck>, ros-rolling-rcpputils, ros-rolling-rcutils, ros-rolling-rmw, ros-rolling-rosidl-default-generators, ros-rolling-rosidl-runtime-c, ros-rolling-rosidl-runtime-cpp, ros-rolling-ros-workspace, ros-rolling-rosidl-typesupport-fastrtps-c, ros-rolling-rosidl-typesupport-fastrtps-cpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-rmw-dds-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-rcpputils, ros-rolling-rcutils, ros-rolling-rmw, ros-rolling-rosidl-default-runtime, ros-rolling-rosidl-runtime-c, ros-rolling-rosidl-runtime-cpp, ros-rolling-ros-workspace
Description: Define a common interface between DDS implementations of ROS middleware.

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
